Transactions request webhooks

Sent to the configured webhook URI when an async transactions request reaches a terminal state:

  • The request completed successfully. Call GET /v3/connected-accounts/{account_id}/transactions/requests/{request_id} to retrieve the transactions.
  • The request failed.
Payload
string
enum
required
Allowed:
integer
enum
required

The version of the event schema.

Allowed:
string
required

Unique ID of the event.

string
required

Unique ID for the connection

string
required

Unique ID for the connected account.

uuid
required

Unique ID of the async request.

date-time
required

The date and time the transactions request completed.

Headers
string
required

A JWS with detached content, verifiable with our public key.
See Webhook Request Signing

Response
200

Webhook Handled

LoadingLoading…